components:
  schemas:

    TopicResponse:
      type: object
      properties:
        id:
          type: string
          description: Topic unique identifier
          example: 018f22d5-4b3a-7c21-b93f-9a5aefc1b847
        name:
          type: string
          description: Topic name
          example: Trigonometry
        description:
          type: string
          description: Topic description
          example: Calculations focused on plane triangles
        discipline_id:
          type: string
          description: Category ID
          example: 611f65h7-4d5a-7c53-b93f-9a5aefc1b654
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
          example: "2023-10-15T14:30:00.000Z"
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
          example: "2023-10-15T14:30:00.000Z"